# 1.36.0[−][src]Module std::future

Asynchronous values.

## Structs

Pending | Creates a future which never resolves, representing a computation that never finishes.
Ready | Creates a future that is immediately ready with a value.

## Traits

Future | A future represents an asynchronous computation.
IntoFuture | Experimental Conversion into a `Future`.

## Functions

pending | Creates a future which never resolves, representing a computation that never finishes.
ready | Creates a future that is immediately ready with a value.